package com.xhpc.card.mapper;

import com.xhpc.card.domain.QueryConditions;
import com.xhpc.card.pojo.TIccardInfo;

import java.util.List;
import java.util.Map;

public interface TIccardInfoMapper {

    int deleteByPrimaryKey(Integer id);

    int insert(TIccardInfo record);

    int insertSelective(TIccardInfo record);

    TIccardInfo selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TIccardInfo record);

    int updateByPrimaryKey(TIccardInfo record);

    /**
     * 查询所有卡记录信息
     *
     * @return 所有卡记录信息集合
     * @author WH
     * @date 2022/1/26 15:53
     * @since version-1.0
     */
    List<TIccardInfo> selectAll();

    /**
     * 通过查询条件查询所有卡记录信息
     *
     * @param queryConditions 查询条件
     * @return 符合条件的所有卡记录信息集合
     * @author WH
     * @date 2022/1/27 11:21
     * @since version-1.0
     */
    List<Map<String, Object>> selectAllBy(QueryConditions queryConditions);

    /**
     * 获取通过条件查询出来的总记录个数
     *
     * @author WH
     * @date 2022/2/11 16:15
     * @since version-1.0
     */
    Long selectTotalCountBy(QueryConditions queryConditions);

    /**
     * 查询离线用户信息
     *
     * @param userAccount 用户账户
     * @return 返回用户信息
     * @author WH
     * @date 2022/2/11 17:15
     * @since version-1.0
     */
    Map<String, Object> selectByPhone(String userAccount);

}